Control-M Compatibility for Version 9.0.21

The following lists of supported operating systems, databases, and other products (BMC products and third-party products) for Control-M components are obtained from the BMC Product Compatibility page. 

Control-M Browser Compatibility

Control-M is optimized for Google Chrome (version 92 or higher) and Microsoft Edge (version 86 or higher). In our tests, we've opened and used viewpoints with 20,000 jobs.

Control-M Compatibility Between Components

The following list compatibility between Control-M components of version 9.0.21:

Control-M/EM Compatibility 

The following table lists the Control-M components that are compatible with Control-M/EM 9.0.21.

Control-M/EM version 9.0.21 is compatible with all supported versions of Application Plug-ins and options for application-specific products that were available before this release.

Control-M Component

Version (including fix packs)

Control-M/Server

  • 9.0.21
  • 9.0.20
  • 9.0.19

Control-M SLA Manager (BIM)

  • 9.0.21
  • 9.0.20

Control-M/Forecast

  • 9.0.21
  • 9.0.20

Control-M Web

  • 9.0.21
  • 9.0.20

BMC Workload Change Manager

  • 9.0.21
  • 9.0.20

BMC Control-M Workload Archiving

  • 9.0.21
  • 9.0.20

Control-M for z/OS

  • 9.0.21
  • 9.0.20
  • 9.0.19
  • 9.0.18
Control-M Managed File Transfer Enterprise

9.0.21 (required for product configuration)

Control-M/Server Compatibility

The following table lists the versions of Control-M components that are compatible with Control-M/Server 9.0.21.

Note: The version of Control-M/EM determines the version compatibility mode of the Control-M/Server. For example, if Control-M/EM is version 9.0.18 and Control-M/Server is version 9.0.20, compatibility mode for Control-M/Server is set to version 9.0.18.

Control-M component

Version (including fix packs)

Control-M/Enterprise Manager

  • 9.0.21
  • 9.0.20
  • 9.0.19
Control-M/Agent for UNIX and Microsoft Windows
  • 9.0.21
  • 9.0.20
  • 9.0.19
  • 9.0.18

Control-M/Agent for IBM i (AS/400)

  • 9.0.19
  • 7.0.01
  • 7.0.00

Control-M/Agent for Tandem Guardian

  • 9.0.00
  • 6.3.02

Control-M/Agent for UNISYS 2200

  • 6.4.01

Control-M/Agent Compatibility

The following table lists the versions of Control-M components that are compatible with Control-M/Agent 9.0.21.

Control-M component

Version (including fix packs)

Control-M/Enterprise Manager

  • 9.0.21
  • 9.0.20
  • 9.0.19

To upgrade Control-M/Agents with the Deployment feature, Control-M/EM must be upgraded to the latest fix pack (9.0.19.200, 9.0.20.200) with relevant patches installed. For more information, see 000393589.

Control-M/Server for UNIX and Microsoft Windows

  • 9.0.21
  • 9.0.20
  • 9.0.19

To upgrade Control-M/Agents with the Deployment feature, Control-M/Server must be upgraded to the latest fix pack (9.0.19.200, 9.0.20.200) with relevant patches installed. For more information, see 000393589.

Control-M Application Plug-ins

All Control-M Application Plug-ins released versions

NOTE:

  • Application Pack Plug-ins are installed automatically when you install Control-M 9.0.21 full installation.
  • Application Pack 9.0.20.200 and earlier versions are not compatible with Control-M/Agent 9.0.21.
  • Control-M/Agent installation now includes Application Integrator and Automation API.

Control-M Managed File Transfer Compatibility

The following table describes the Control-M/EM, Control-M/Server, and Control-M/Agent versions that are compatible with Control-M Managed File Transfer 9.0.21:

Control-M component

Versions

Control-M/EM

9.0.20 and above

Control-M/Server for UNIX and Windows

  • 9.0.20.207 and above
  • 9.0.21 and above

For Centralized Connection Profiles, Control-M/Server must be 9.0.20 or above.

For deployment of Control-M MFT to Control-M/Agent 9.0.20,  Control-M/Server must also be 9.0.20 or above.

Control-M/Agent for UNIX and Windows

9.0.20 or above

Windows and Linux: Control-M/Agent can only run as 64 bit.

Note

  • MFT - The embedded File Transfer Server (FTS) is supported only on Windows and Linux.
  • MFT Enterprise – Hub component is supported only on Windows and Linux.
  • MFT Enterprise – Gateway component is supported only on Linux.

Control-M Managed File Transfer Enterprise Compatibility

The following table describes the Control-M/EM, Control-M/Server, and Control-M/Agent versions that are compatible with Control-M Managed File Transfer Enterprise 9.0.21:

Control-M component

Versions

Control-M/EM

9.0.21 and above

9.0.20.xxx

If you are using Control-M/EM version 9.0.20.xxx, some of the new MFT Enterprise 9.0.21 functionality is not reflected in the UI.

You must verify the following:

  • Automation API version is 9.0.20.245
  • The User Account locking and Password policies in the Hub Settings are turned off

For more information, see Knowledge Article 000398252.

Control-M/Server for UNIX and Windows

9.0.20.206 and above

Control-M/Agent for UNIX and Windows

9.0.20 and above

Windows and Linux: Control-M/Agent can only run as 64 bit.


Note

  • The Gateways must be installed in the DMZ area for accepting file transfer requests from outside your organization.
  • The Gateways and Control-M MFT must be the same version.

Control-M for SAP

The following table describes the Control-M/EM, Control-M/Server, and Control-M/Agent versions that are compatible with Control-M for SAP 9.0.21:

Control-M component

Versions

Control-M/EM

9.0.20 and above

Control-M/Server for UNIX and Windows

9.0.20 and above

Control-M/Agent for UNIX and Windows

9.0.20 and above

Control-M Compatibility with External Java Vendors

The following table lists the operating system, architecture, and Java vendors that you can use for Control-M:

Operating System

Architecture

Java VendorVersion

AIX  

PowerPC IBM
  • Major version: 11 only
  • Patches: 11.0.12 - 11.0.xx

Linux  

PowerPC

Eclipse-Adoptium

  • Major version: 11 only
  • Patches: 11.0.12 - 11.0.xx

Linux  

s 390x

Eclipse-Adoptium

  • Major version: 11 only
  • Patches: 11.0.12 - 11.0.xx

Linux  

x 86_64
  • Eclipse-Adoptium
  • Oracle
  • Azul
  • Red Hat
  • Ubuntu (Private Build)
  • Major version: 11 only
  • Patches: 11.0.12 - 11.0.xx

Solaris  

Sparc
  • Oracle
  • Bellsoft
  • Major version: 11 only
  • Patches: 11.0.12 - 11.0.xx

Windows  

x 86_64
  • Eclipse-Adoptium
  • Oracle
  • Azul
  • Microsoft
  • Major version: 11 only
  • Patches: 11.0.12 - 11.0.xx

Control-M Language Compatibility

The following table lists the languages that are compatible with Control-M/EM.

Language

Level of support

East Asian (CJK)

The following languages are supported:

  • Traditional Chinese
  • Simplified Chinese
  • Japanese
  • Korean

Western European (Latin-1 character set)

Special Western European characters used in English, Spanish, German, and French can be specified in most free-text fields and parameters.

Basic ASCII

US English

End of Support (EOS)

The following platforms will no longer be supported on Control-M/Agent:

  • Windows 32 bit
  • Windows 2008
  • CentOS 6
  • Red Hat 6
  • Suse 11
  • Solaris 10
  • Oracle Linux 6
Was this page helpful? Yes No Submitting... Thank you

Comments

  1. John Haberland

    Top 3 links under "The following list compatibility information for the major Control-M components:" for compatibility get HTTP 404 Not Found errors.

    Sep 29, 2022 10:10
    1. Yechezkel Schatz

      Thanks, John. I fixed the issue.

      Oct 02, 2022 12:14
  2. Frankie Lam

    No Oracle DB compatibility list.

    Nov 02, 2022 11:20
    1. Jonathan Lifschitz

      Hi Frankie, Under each platform, there is a list of compatible databases. Thanks Jonathan

      Dec 26, 2022 06:01
  3. Neelam Nilje

    Under Control-M/Agent v9.0.21 Compatibility section for Application Plug-ins see two contradictory statements: 1. Version supported -> All Control-M Application Plug-ins released versions 2. Under NOTE it’s been mentioned Application Pack 9.0.20.200 and earlier versions are not compatible with CTM/Agent 9.0.21 Could you please help to clarify this a bit more?

    Dec 19, 2022 06:59